import 'package:flutter/material.dart';

class CustomBoxTileWidget extends StatelessWidget {
  const CustomBoxTileWidget({
    this.tooltip,
    super.key,
    this.icon,
    required this.isText,
    this.text,
    required this.fontColor,
    required this.fontFamily,
    required this.background,
  });
  final IconData? icon;
  final String? tooltip;
  final bool isText;
  final String? text;
  final Color fontColor;
  final String fontFamily;
  final String background;

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      child: Stack(
        fit: StackFit.loose,
        alignment: AlignmentDirectional.center,
        children: [
          Image.asset(
            background,
            fit: BoxFit.fill,
          ),
          Visibility(
            visible: isText == true,
            child: Text(
              (text == null ? "" : text!),
              style: TextStyle(
                color: fontColor,
                fontSize: 32,
                fontWeight: FontWeight.w800,
                fontFamily: fontFamily,
              ),
            ),
          ),
          Visibility(
            visible: isText == false,
            child: Center(
              child: Icon(
                icon,
                color: fontColor,
                size: 35,
              ),
            ),
          ),
        ],
      ),
    );
  }
}
